itunes help.?

I just tried to install the new version of itunes, itunes 7. After I was done installing I clicked on the icon on my desktop and this message popped up..."Quicktime version 7.0d0 is installed, iTunes requires Quicktime version 7.1.3 or later. Please reinstall itunes." I uninstalled and reinstalled the program a few times, with no results. Somebody please help me!

Update:

i tried what the first person told me to do but the same thing pops up still.

1 Answer

Relevance
  • 1 decade ago
    Favorite Answer

    Go to the iTunes website, where you can download the latest QuickTime for free. I had the same problem and after I downloaded quicktime, iTunes worked too!

    • Commenter avatarLogin to reply the answers
Still have questions? Get your answers by asking now.